%define anolis_release 1
%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           yelp-xsl
Version:        42.0
Release:        %{anolis_release}%{?dist}
Summary:        XSL stylesheets for the yelp help browser

License:        LGPLv2+ and GPLv2+
URL:            https://download.gnome.org/sources/yelp-xsl
Source0:        https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz
BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  itstool
BuildRequires:  make
BuildRequires:  python3-libxml2
BuildRequires:  /usr/bin/ducktype
BuildRequires:  /usr/bin/xmllint
BuildRequires:  /usr/bin/xsltproc

%description
This package contains XSL stylesheets that are used by the yelp help browser.


%package devel
Summary: Developer documentation for yelp-xsl
Requires: %{name} = %{version}-%{release}

%description devel
The yelp-xsl-devel package contains developer documentation for the
XSL stylesheets in yelp-xsl.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%configure --enable-doc
%make_build


%install
%make_install


%files
%doc README AUTHORS
%license COPYING COPYING.GPL COPYING.LGPL
%{_datadir}/yelp-xsl

%files devel
%{_datadir}/pkgconfig/yelp-xsl.pc


%changelog
* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.1-1
- init from upstream
